Package org.eclipse.cdt.utils.som

# Class SOM.Attribute

java.lang.Object
org.eclipse.cdt.utils.som.SOM.Attribute

Enclosing class:
  SOM

public static class SOM.Attribute extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SOM_TYPE_CORE`
`static final int`
`SOM_TYPE_EXE`
`static final int`
`SOM_TYPE_OBJ`
`static final int`
`SOM_TYPE_SHLIB`

## Constructor Summary

Constructors
Constructor
Description
`Attribute()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCPU()`
`int`
`getType()`
`boolean`
`hasDebug()`
`boolean`
`isLittleEndian()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SOM_TYPE_EXE

public static final int SOM_TYPE_EXE

See Also:
  - Constant Field Values

### SOM_TYPE_SHLIB

public static final int SOM_TYPE_SHLIB

See Also:
  - Constant Field Values

### SOM_TYPE_OBJ

public static final int SOM_TYPE_OBJ

See Also:
  - Constant Field Values

### SOM_TYPE_CORE

public static final int SOM_TYPE_CORE

See Also:
  - Constant Field Values

## Constructor Details

### Attribute

public Attribute()

## Method Details

### getCPU

public String getCPU()

### getType

public int getType()

### hasDebug

public boolean hasDebug()

### isLittleEndian

public boolean isLittleEndian()